알림 처리기
GET https://pushye.com/api/notification-handlers/
curl --request GET \
--url 'https://pushye.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10 , 25 , 50 , 100 , 250 , 500 , 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-11 15:50:23",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/notification-handlers?page=1",
"last": "https://pushye.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/notification-handlers?page=1"
}
}
GET https://pushye.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://pushye.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-11 15:50:23",
}
}
POST https://pushye.com/api/notification-handlers
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| type | 필수 문자열 | 허용된 값: email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id |
| 선택 사항 문자열 | 사용 가능 시: type = email Email | |
| webhook | 선택 사항 문자열 | 사용 가능 시: type = webhook Webhook URL |
| slack | 선택 사항 문자열 | 사용 가능 시: type = slack Slack webhook URL |
| discord | 선택 사항 문자열 | 사용 가능 시: type = discord Discord webhook URL |
| telegram | 선택 사항 문자열 | 사용 가능 시: type = telegram Telegram API Token |
| telegram_chat_id | 선택 사항 문자열 | 사용 가능 시: type = telegram Telegram Chat ID |
| microsoft_teams | 선택 사항 문자열 | 사용 가능 시: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | 선택 사항 문자열 | 사용 가능 시: type = google_chat Google chat webhook URL |
| x_consumer_key | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| x_consumer_secret | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| x_access_token | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| x_access_token_secret | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| push_subscriber_id | 선택 사항 문자열 | 사용 가능 시: type = push_subscriber_id Push subscriber |
| twilio | 선택 사항 문자열 | 사용 가능 시: type = twilio Phone number |
| twilio_call | 선택 사항 문자열 | 사용 가능 시: type = twilio_call Phone number |
| 선택 사항 문자열 | 사용 가능 시: type = whatsapp Phone number |
curl --request POST \
--url 'https://pushye.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://pushye.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/notification-handlers/{notification_handler_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 선택 사항 문자열 | - |
| type | 선택 사항 문자열 | 허용된 값: email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id |
| 선택 사항 문자열 | 사용 가능 시: type = email Email | |
| webhook | 선택 사항 문자열 | 사용 가능 시: type = webhook Webhook URL |
| slack | 선택 사항 문자열 | 사용 가능 시: type = slack Slack webhook URL |
| discord | 선택 사항 문자열 | 사용 가능 시: type = discord Discord webhook URL |
| telegram | 선택 사항 문자열 | 사용 가능 시: type = telegram Telegram API Token |
| telegram_chat_id | 선택 사항 문자열 | 사용 가능 시: type = telegram Telegram Chat ID |
| microsoft_teams | 선택 사항 문자열 | 사용 가능 시: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | 선택 사항 문자열 | 사용 가능 시: type = google_chat Google chat webhook URL |
| x_consumer_key | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| x_consumer_secret | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| x_access_token | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| x_access_token_secret | 선택 사항 문자열 | 사용 가능 시: type = x Telegram API Token |
| push_subscriber_id | 선택 사항 문자열 | 사용 가능 시: type = push_subscriber_id Push subscriber |
| twilio | 선택 사항 문자열 | 사용 가능 시: type = twilio Phone number |
| twilio_call | 선택 사항 문자열 | 사용 가능 시: type = twilio_call Phone number |
| 선택 사항 문자열 | 사용 가능 시: type = whatsapp Phone number | |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://pushye.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://pushye.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://pushye.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \